# Uses of Class
org.apache.commons.math3.geometry.euclidean.threed.Plane

Packages that use Plane
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of Plane in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return Plane
Modifier and Type
Method
Description
`Plane`
Plane.`copySelf()`
Copy the instance.
`Plane`
Plane.`rotate(Vector3D center, Rotation rotation)`
Rotate the plane around the specified point.
`Plane`
Plane.`translate(Vector3D translation)`
Translate the plane by the specified amount.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Plane
Modifier and Type
Method
Description
`double`
Plane.`getOffset(Plane plane)`
Get the offset (oriented distance) of a parallel plane.
`Line`
Plane.`intersection(Plane other)`
Build the line shared by the instance and another plane.
`static Vector3D`
Plane.`intersection(Plane plane1, Plane plane2, Plane plane3)`
Get the intersection point of three planes.
`boolean`
Plane.`isSimilarTo(Plane plane)`
Check if the instance is similar to another plane.
`void`
Plane.`reset(Plane original)`
Reset the instance from another one.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Plane
Modifier
Constructor
Description
``
`Plane(Plane plane)`
Copy constructor.